KNOWLEDGE BASE

Connecting to PostgreSQL Version 12 Databases


Published: 13 May 2020
Last Modified Date: 02 Sep 2020

Issue

When connecting to a PostgreSQL Version 12 Database from Tableau Desktop or any other Tableau Products, you may encounter issues such as "Unknown Error (followed by gibberish text) or Error: Current Transaction is Aborted, Commands Ignored Until End of Transaction Block."

Environment

  • Tableau Desktop
  • Tableau Prep Builder
  • Tableau Server
  • Mac OS + Windows OS

Resolution

Option 1
Continue to use PostgreSQL Version 11 or lower if possible.

Option 2
Upgrade Postgres driver to the latest version.

Cause

PostgreSQL Version 12 is not currently supported with Tableau Products.
Did this article resolve the issue?